commit:     d5e3ea5ff60d15b1d87704cc0268f6a6438ac42b
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 11 01:00:20 2015 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 01:00:20 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5e3ea5f

mail-filter/spamdyke: rename USE=tls to ssl for consistency.

Package-Manager: portage-2.2.20.1

 mail-filter/spamdyke/metadata.xml             |  2 +-
 mail-filter/spamdyke/spamdyke-4.3.0-r1.ebuild |  9 +++++----
 mail-filter/spamdyke/spamdyke-4.3.0.ebuild    | 13 +++++++------
 3 files changed, 13 insertions(+), 11 deletions(-)

diff --git a/mail-filter/spamdyke/metadata.xml 
b/mail-filter/spamdyke/metadata.xml
index 151d944..e8a572f 100644
--- a/mail-filter/spamdyke/metadata.xml
+++ b/mail-filter/spamdyke/metadata.xml
@@ -13,6 +13,6 @@ features to enhance qmail.
 Best of all, using spamdyke does not require patching or recompiling qmail!
 </longdescription>
 <use>
-       <flag name='tls'>Enables TLS protocol for spamdyke</flag>
+       <flag name='ssl'>Enables TLS protocol for spamdyke</flag>
 </use>
 </pkgmetadata>

diff --git a/mail-filter/spamdyke/spamdyke-4.3.0-r1.ebuild 
b/mail-filter/spamdyke/spamdyke-4.3.0-r1.ebuild
index 28f4448..a37bc83 100644
--- a/mail-filter/spamdyke/spamdyke-4.3.0-r1.ebuild
+++ b/mail-filter/spamdyke/spamdyke-4.3.0-r1.ebuild
@@ -3,6 +3,7 @@
 # $Id$
 
 EAPI="5"
+
 inherit eutils autotools
 
 DESCRIPTION="A drop-in connection-time spam filter for qmail"
@@ -12,10 +13,10 @@ SRC_URI="http://www.spamdyke.org/releases/${P}.tgz";
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="libressl +tls"
+IUSE="libressl +ssl"
 
 DEPEND="
-       tls? (
+       ssl? (
                !libressl? ( dev-libs/openssl:0 )
                libressl? ( dev-libs/libressl )
        )"
@@ -27,7 +28,7 @@ S=${WORKDIR}/${P}/${PN}
 src_prepare() {
        epatch "${FILESDIR}"/${P}-gcc46.patch
        echo "# Configuration option for ${PN}" > ${PN}.conf
-       if use tls; then
+       if use ssl; then
                echo "tls-certificate-file=/var/qmail/control/clientcert.pem" \
                        >> ${PN}.conf
        fi
@@ -45,7 +46,7 @@ src_prepare() {
 
 src_configure() {
        econf \
-               $(use_enable tls) || die "econf failed"
+               $(use_enable ssl tls) || die "econf failed"
        cd ../utils
        econf || die "econf failed in utils"
 }

diff --git a/mail-filter/spamdyke/spamdyke-4.3.0.ebuild 
b/mail-filter/spamdyke/spamdyke-4.3.0.ebuild
index e3491ca..18dbbc7 100644
--- a/mail-filter/spamdyke/spamdyke-4.3.0.ebuild
+++ b/mail-filter/spamdyke/spamdyke-4.3.0.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI="2"
+EAPI="5"
+
 inherit eutils autotools
 
 DESCRIPTION="A drop-in connection-time spam filter for qmail"
@@ -12,9 +13,9 @@ SRC_URI="http://www.spamdyke.org/releases/${P}.tgz";
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 x86"
-IUSE="+tls"
+IUSE="+ssl"
 
-DEPEND="tls? ( dev-libs/openssl )"
+DEPEND="ssl? ( dev-libs/openssl )"
 RDEPEND="${DEPEND}
        virtual/qmail"
 
@@ -23,7 +24,7 @@ S=${WORKDIR}/${P}/${PN}
 src_prepare() {
        epatch "${FILESDIR}"/${P}-gcc46.patch
        echo "# Configuration option for ${PN}" > ${PN}.conf
-       if use tls; then
+       if use ssl; then
                echo "tls-certificate-file=/var/qmail/control/clientcert.pem" \
                        >> ${PN}.conf
        fi
@@ -41,7 +42,7 @@ src_prepare() {
 
 src_configure() {
        econf \
-               $(use_enable tls) || die "econf failed"
+               $(use_enable ssl tls) || die "econf failed"
        cd ../utils
        econf || die "econf failed in utils"
 }

Reply via email to